Je test un petit QCM avant une utilisation en situation réelle pour 500 étudiants en L1

Lorsque je prépare ma liste au format .csv, je l'associe dans l'onglet student identification, je choisi le primary 
Key dans la liste proposée 'etu' que j'ai utilisé dans AMCcode. Les autres champs sont disponibles. 

Par contre pas moyen de donner le 'code name for automatic association', le seul choix proposé est (none), il 
n'y a pas de code disponible

J'ai pourtant utilisé AMCcode, fait calculer les notes et le repérage (manuel) du numéro d'étudiant fonctionne. 

Ma ligne de commande en Tex est : {\setlength{\parindent}{0pt}\hspace*{\fill}\AMCcode{etu}{6}\hspace*{\fill}}

Mon fichier .csv est 

etu;Nom;Prenom
426857;Chose ; petite 
100298;Truc ; biduke
301251;Machin ; chouette
243190; Henry ; James

Merci d'avance pour votre aide !

History
05/06/2014 11:56 am - Alexis Bienvenüe
Avez-vous calculé les notes des étudiants avant de choisir le code ?

05/06/2014 12:17 pm - Denis Bonheure
Oui oui j'ai calculé les notes et j'obtiens 4 lignes avec la dernière colonne qui me renseigne le numéro 'etu' que j'ai coché à la main de façon manuelle 
comme pour les réponses. 

Je vois aussi que je n'ai pas accès à l'exportation des notes...

Alexis Bienvenüe wrote:
> Avez-vous calculé les notes des étudiants avant de choisir le code ?

05/06/2014 12:27 pm - Denis Bonheure
Oui oui j'ai calculé les notes et j'obtiens 4 lignes avec la dernière colonne qui me renseigne le numéro 'etu' que j'ai coché à la main de façon manuelle 
comme pour les réponses. 
Si j'ajoute plusieurs AMCcode, je les vois tous dans le calcul des notes mais je ne peux en sélectionner aucun pour l'association automatique :-(

Je vois aussi que je n'ai pas accès à l'exportation des notes... même si je fais une association manuelle des 4 copies...

Alexis Bienvenüe wrote:
> Avez-vous calculé les notes des étudiants avant de choisir le code ?

05/06/2014 03:00 pm - Alexis Bienvenüe
- Priority changed from Urgent to Normal

- Assignee deleted (Alexis Bienvenüe)

Pouvez-vous m'envoyer votre répertoire projet complet ?

05/06/2014 03:42 pm - Denis Bonheure
- File New.zip added

Oui oui j'ai calculé les notes et j'obtiens 4 lignes avec la dernière colonne qui me renseigne le numéro 'etu' que j'ai coché à la main de façon manuelle 
comme pour les réponses. 

Si j'ajoute plusieurs AMCcode, je les vois tous dans le calcul des notes mais je ne peux en sélectionner aucun pour l'association automatique :-(

Je vois aussi que je n'ai pas accès à l'exportation des notes... même si je fais une association manuelle des 4 copies...

Alexis Bienvenüe wrote:
> Avez-vous calculé les notes des étudiants avant de choisir le code ?

05/06/2014 03:44 pm - Denis Bonheure
J'ai joint le zip. 

Je n'ai aucun moyen de choisir le code name, ce qui n'est pas forcément dramatique 

Je n'ai pas non plus accès à l'exportation du rapport, ce qui est bien plus problématique et rend l'utilisation impossible avec 500 étudiants. 

Merci pour votre aide !

Alexis Bienvenüe wrote:
> Pouvez-vous m'envoyer votre répertoire projet complet ?

05/06/2014 08:57 pm - Alexis Bienvenüe
En ouvrant votre archive dans un nouveau projet avec AMC, je peux sélectionner @etu@ en tant que code pour l'association, et j'ai accès aux exports. 
Quelle est votre version d'AMC ?
05/06/2014 09:05 pm - Denis Bonheure
Auto Multiple Choice 1.2.1 (svn:1403)

Je n'y arrive toujours pas. J'ai désinstallé tout, puis redémarrer à zéro, rien à faire. 

Je ne peux non plus pas exporter... en général c'est grisé, parfois pas. et quand je peux cliquer sur exporter, rien ne se passe. Par contre il y a un tas 
d'erreurs qui défilent dans le terminal. Des choses du type :

 unhandled exception in callback:
***   Unknown encoding '' at /opt/local/lib/AMC/perl/AMC-gui.pl line 3942.
***  ignoring at /opt/local/lib/AMC/perl/AMC-gui.pl line 7093.
Argument "" isn't numeric in numeric eq (==) at /opt/local/lib/perl5/vendor_perl/AMC/Gui/Notes.pm line 118.
*** unhandled exception in callback:
***   Can't locate object method "hide" via package "AMC::Export::register::-1" (perhaps you forgot to load "AMC::Export::register::-1"?) at 
/opt/local/lib/AMC/perl/AMC-gui.pl line 1305.
***  ignoring at /opt/local/lib/AMC/perl/AMC-gui.pl line 7093.

Alexis Bienvenüe wrote:
> En ouvrant votre archive dans un nouveau projet avec AMC, je peux sélectionner @etu@ en tant que code pour l'association, et j'ai accès aux 
exports. Quelle est votre version d'AMC ?

05/06/2014 09:11 pm - Alexis Bienvenüe
Il semble en effet qu'il y ait un problème avec votre installation d'AMC. Pouvez-vous fournir un fichier @log@ produit en mode débogage (ouverture du 
projet problématique en particulier) ?

05/06/2014 09:21 pm - Denis Bonheure
- File AMC-DEBUG-7SHtMjGm.log added

Alexis Bienvenüe wrote:
> Il semble en effet qu'il y ait un problème avec votre installation d'AMC. Pouvez-vous fournir un fichier @log@ produit en mode débogage (ouverture 
du projet problématique en particulier) ?

05/06/2014 09:32 pm - Alexis Bienvenüe
Quelle est l'encodage défini dans _Edit/Preferences/Main/Internationalization/LaTeX files charset_ ? Pouvez-vous mettre UTF-8 si ce n'est pas déjà le 
cas ?

05/06/2014 10:16 pm - Denis Bonheure
En plein de le mille !!! 

Merci tout à l'air de bien fonctionner, je vais faire d'autres tests. 

Super en tout cas pour la disponibilité et l'aide rapide !

Alexis Bienvenüe wrote:
> Quelle est l'encodage défini dans _Edit/Preferences/Main/Internationalization/LaTeX files charset_ ? Pouvez-vous mettre UTF-8 si ce n'est pas déjà 
le cas ?
08/31/2014 07:31 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Closed

Files
New.zip 453.6 kB 05/06/2014 Denis Bonheure
AMC-DEBUG-7SHtMjGm.log 132.9 kB 05/06/2014 Denis Bonheure
